Help us improve Answers HQ! Take Survey No, Thanks

battlefield 1 says my driver needs updating but this is not true

by brockally
Reply

Original Post

battlefield 1 says my driver needs updating but this is not true

★★★ Newbie

When I go to play BF1 on my PC it says that my AMD driver is 00.00.00 and I need at least 16. etc.. I have an updated driver, so why can I not play BF1, very annoying

Message 1 of 1 (59 Views)

Origin Access FAQ

Learn about Origin Access and the benefits of signing up.

Visit the FAQs